curl --request POST \
--url 'https://api.example.com/api/admin/sites/{id}/install/shopify' \
--header 'Authorization: Bearer YOUR_API_KEY'
{
"ok": true,
"method": "script_tag",
"scriptTagId": 1,
"note": "Two-person tent, green — replacement for damaged pole set.",
"error": "string"
}
Install on a Shopify store
Uses the site’s stored accessToken.
POST
/
api
/
admin
/
sites
/
{id}
/
install
/
shopify
curl --request POST \
--url 'https://api.example.com/api/admin/sites/{id}/install/shopify' \
--header 'Authorization: Bearer YOUR_API_KEY'
{
"ok": true,
"method": "script_tag",
"scriptTagId": 1,
"note": "Two-person tent, green — replacement for damaged pole set.",
"error": "string"
}
Uses the site’s stored
accessToken.
Path parameters
string
required
Site id
Response
object
boolean
required
string
integer
string
string
On failure (
ok: false): unsafe_domain, unsafe_address, shopify_unreachable, or the Shopify API errorStatus codes
| Code | Meaning |
|---|---|
200 | Install result |
401 | Error |
404 | Error |
curl --request POST \
--url 'https://api.example.com/api/admin/sites/{id}/install/shopify' \
--header 'Authorization: Bearer YOUR_API_KEY'
{
"ok": true,
"method": "script_tag",
"scriptTagId": 1,
"note": "Two-person tent, green — replacement for damaged pole set.",
"error": "string"
}
Last modified on August 31, 2026